# 如何校对译文

我们的校对团队负责确保译文准确地反映了源文件的意思。

访问并登录[我们的翻译网站](https://translate.freecodecamp.org)，开始校对。 然后，在顶部导航栏中选择“Go to console”，从公共视图（public view）切换到工作区视图（workspace view）。

## 选择文件

你将看到你已被授予访问权限的项目列表。 选择你想参与校对的项目，然后选择你要校对的语言版本。

![图片 - 待校对文件列表](https://contribute.freecodecamp.org/images/crowdin/proof-file-tree.png)

在文件列表中， 通过点击文件右侧的 `Proofread` 按钮选择你要校对的文件，然后从出现的下拉菜单中选择 `Proofreading`。

> [!NOTE] 如果你在工作区视图（workspace view）中，但想要[翻译文件](./how-to-translate-files.md)，而不是校对文件，那么你可以从下拉菜单中选择 `Crowdsourcing`。

## 校对译文

![图片 - 校对视图](https://contribute.freecodecamp.org/images/crowdin/proofread.png)

<!--Add proofread/crowdsource button to the image-->

接着，你将看到所选文件中的字符串列表及其译文。 此处显示的译文是翻译社区评分最高（基于赞同和反对票）的译文。

你可以查看某个字符串的*所有*建议的译文，在确认选用哪个译文时，你应当结合社区评分（基于赞同和反对票）来确认。 社区可以审核建议的译文，并推荐其中最准确、最清晰的一个。

1. 这是源文件的字符串（英文）。
2. 这是相匹配的翻译的字符串。 此处将显示基于赞同和反对票数的最受欢迎的译文建议。
3. 点击这个选择标记按钮确认该译文。
4. Crowdin 将显示每个字符串的状态。 `Done` 的意思是已经确认了译文，我们将在下次从 Crowdin 拉取内容的时候下载已确认的译文。 `Todo` 的意思是字符串的译文还未被校对确认。 `Hidden` 的意思是字符串是被锁定的，*不应该被翻译*。 `Comment` 的意思是对此字符串有评论消息。
5. 可以使用复框选择多条译文，并在此处一次性批量确认。
6. 你可以在此处查看社区建议的译文，社区对其的评分，以及 Crowdin 建议的译文。
7. 这个按钮显示/隐藏右侧的显示窗口，你可以在其中查看翻译、评论、翻译记忆和词汇表术语。
8. Crowdin 在此处显示来自质量保证检查的报错消息。 也就是说，如果译文中有不正确的地方，Crowdin 会通知你。 请仔细校对确认出现报错消息的译文。

> [!WARNING] 校对确认之后的字符串会被标注为已完成。我们将在下一次从 Crowdin 拉取内容时下载这些字符串。

当文件被校对确认完毕，你不需要采取其他任何行动。 如果你有任何问题，或者感兴趣成为一名校对贡献者，请随时在[译者交流群](https://chat.freecodecamp.org/channel/translators)联系我们。 If you are already a proofreader and are interested in having a dedicated channel for a specific language, [fill out our form](https://forms.gle/XU5CyutrYCgDYaVZA).

> [!NOTE] Crowdin 会允许你校对你自己的译文。 一般来说，最好是让另一位校对者审核你的译文，以确保最终内容的准确性。
