# 如何翻译文件

> [!NOTE] 所有翻译都在 https://translate.freecodecamp.org 进行——我们不再使用 GitHub 直接翻译文件。

首先，请访问并登录我们的翻译网站（如果你之前没有参与过翻译协作，那么你需要新建一个账号）。

## 选择项目和文件

你应该可以看到两个“项目”可供翻译：`Contributing Documentation` 项目，包含本文档网站的所有文件；`Coding Curriculum` 项目，包含 `/learn` 的课程文件。

选择你想参与贡献的项目，然后你会看到不同语言版本的可翻译文件列表。

![图片 - 可翻译语言版本列表](https://contribute.freecodecamp.org/images/crowdin/languages.png)

选择你想参与翻译的语言，然后你会看到完整的文件列表。

![图片 - 可翻译文件列表](https://contribute.freecodecamp.org/images/crowdin/file-tree.png)

每个文件和文件夹都会显示一个进度条。 进度条的**蓝色**部分表示多少百分比的文件已经被翻译了，而**绿色**部分表示多少百分比的文件已经被校对团队审核确认。

选择你想翻译的文件，然后 Crowdin 会打开编辑界面。

> [!NOTE] 打开编辑界面后，你需要点击设置图标（右上角的齿轮状图标），将 “HTML tags displaying” 设置为 “SHOW”。 这样，文件中会显示 `<code></code>` 标签，而不是 `<0></0>` 标签。

## 翻译文件

![图片 - 编辑界面](https://contribute.freecodecamp.org/images/crowdin/editor.png)

Crowdin 将一个文件分割成“字符串”（通常是一个个句子），以供翻译。 请单独翻译每个字符串。 在上图中：

1. 标注为绿色的字符串已经有建议的译文。
2. 标注为红色的字符串_没有_建议的译文。
3. 显示为灰色的内容是不能翻译的。 这些内容是代码块或其他内容，是不可修改的。 你不能在编辑框中选中这些字符串。
4. 如果某位贡献者对某个字符串有建议的译文，那么 Crowdin 将在此处显示所有的建议。 你无法保存相同的译文。如果某个译文是正确的，那么你可以点击 `+` 图标，给它投票表示赞同。 如果你觉得某个译文不正确，那么你可以点击 `-` 图标，投反对票。
5. Crowdin 将基于翻译记忆（TM）或机器翻译（MT）推荐译文。 翻译记忆是指我们已在其他文件中翻译过/批准过的相似的或相同的字符串。 机器翻译是指由 Crowdin 系统推荐的翻译。
6. 这是编辑器窗口，你可以在其中输入你对于所选字符串建议的译文。
7. 编辑窗口当前选中的字符串将被标注为黄色。
8. 这里的标签是表示字符串的状态。 `Done` 标签表示字符串有至少一个建议的译文。 `Todo` 标签表示字符串还没有建议的译文。
9. 这里是评论窗口。 如果你对某个字符串有疑问或疑虑，可以在此处对字符串发表评论，以便其他翻译人员查看。
10. 点击这两个“窗格”按钮，可以隐藏左边的（文件）视图和右边的（评论）视图。

> [!NOTE] 如果你看到一个被隐藏的（即灰色的）字符串有对应的译文，请在[译者交流群](https://chat.freecodecamp.org/channel/translators)告诉我们，我们会移除翻译记忆中的译文。

当你翻译完一个字符串，请点击 `Save` 按钮，将你的译文储存在  Crowdin 中。 然后其他贡献者可以给你的译文投票，而校对者也将审核确认你的译文。

你想翻译多少字符串，都可以，我们非常欢迎你贡献！当你翻译完某个文件或某个字符串之后，你不需要采取其他步骤。 你只需要点击 `Save` 按钮，就能保存你的译文了。

> [!NOTE] 如果你发现在英语源文件中有不正确的内容，请不要在翻译流程中对其进行修改。 请在字符串上留下评论，通知我们有什么问题，或者在 GitHub 创建 issue。

### 翻译文档

翻译贡献文档的流程和翻译课程文件的流程类似。

> [!NOTE] 我们的贡献文档由` docsify `提供支持，并且我们消息框（比如这份文档里的）进行了特殊的解析。 如果你看到以 `[!NOTE]`、`[!WARNING]` 或 `[!TIP]` 开头的字符串，请注意不要翻译这些单词。

## 给译文评分

Crowdin 允许你对已有的建议译文进行评分。 在你尝试保存译文的时候，你可能会看到一条消息，提示你无法保存重复的译文——这意味着另一位贡献者已经建议了相同的译文。 如果你赞同那个译文，可以点击 `+` 按钮来投票赞同它。

如果你认为译文不正确或与源文件字符串的意思不一致，请单击 `-` 按钮投反对票。

Crowdin 通过这些投票为一个字符串的每个建议译文给出一个分数，这有助于校对团队确定哪个译文是最准确的。

## 质量保证检查

我们采用了一些质量保证步骤，以确保译文尽可能准确——这有助于我们的校对贡献者审核建议的译文。

当你尝试保存翻译时，你可能会看到一条警告消息，其中包含关于你所建议的翻译的通知。

![图片 - 质量保证警告消息](https://contribute.freecodecamp.org/images/crowdin/qa-message.png)

当 Crowdin 的质量保证检查系统在建议的译文中发现可能的错误时，将显示此消息。 在这个例子中，我们修改了 `<code>` 标签的文本内容，Crowdin 会发现这个问题。

> [!WARNING] 即使 Crowdin 提示有错误，你也可以选择保存译文。 如果你仍要通过点击 “Save Anyway” 保存译文，那么你应该标记（@）校对人员或项目经理，说明为什么需要忽略质量检查消息。

## 翻译最佳实践

请遵循下列准则，以确保我们的翻译尽可能的准确：

- 不要翻译 `<code>` 标签中的内容。 这个标签表示在文本在代码中，应保留英文文本。
- 不要添加额外的内容。 如果你认为源文件的文本内容或其他信息需要修改，那么请你在 GitHub issue 或 pull request 来提出更改建议。
- 不要更改内容的顺序。

如果你有任何问题，欢迎你随时在[译者交流群](https://chat.freecodecamp.org/channel/translators)提出，我们很高兴给予你支持。
