The [freeCodeCamp.org](https://freecodecamp.org) community is possible thanks to thousands of kind volunteers like you. If you want to contribute your time and expertise, we would be excited to welcome you aboard.

> [!NOTE] Before you proceed, please take a quick 2 minutes to read our [Code of Conduct](https://www.freecodecamp.org/code-of-conduct). We strictly enforce it across our community so that contributing to freeCodeCamp.org is a safe, inclusive experience for everyone.

Happy contributing.

You are welcome to:

- Create, update and fix bugs in our [curriculum](#curriculum).
- Help us fix bugs in freeCodeCamp.org's [learning platform](#learning-platform).
- [Help us translate](#translations) freeCodeCamp.org to world languages.

We answer the most common questions about contributing [in our contributor FAQ](/FAQ.md).

## Curriculum

Our curriculum is curated by the global freeCodeCamp community. This way, we are able to incorporate expert knowledge from volunteers like you.

You can help expand and improve the curriculum. You can also update project user stories to better-explain concepts. And you can improve our automated tests so that we can more accurately test people's code.

**If you're interested in improving our curriculum, here's [how to contribute to the curriculum](how-to-work-on-coding-challenges.md).**

## Translations

We are localizing freeCodeCamp.org to world languages starting with Chinese and Español. We will be expanding the translations to more languages.

To help us with this massive effort, we have integrated our open-source code-base & curriculum with [Crowdin](https://crowdin.com/). You can read all about this in our [announcement here](https://www.freecodecamp.org/news/world-language-translation-effort). We encourage you to read the announcement and share it your friends to get them excited about this.

It's our dream to provide you with the resources to learn, no matter the world language you speak.

**If you're interested in translating, here are the guides to translate our [curriculum](how-to-translate-files.md), the [learning platform](how-to-translate-the-website.md) and our [Contributing guidelines](https://translate.freecodecamp.org/contributing-docs).**

## Learning Platform

Our learning platform runs on a modern JavaScript stack. It has various components, tools, and libraries. These include Node.js, MongoDB, OAuth 2.0, React, Gatsby, Webpack, and more.

Broadly, we use

- a Node.js based API server
- a set of React-based client applications
- and testing scripts to evaluate camper-submitted curriculum projects.

If you want to productively contribute to the learning platform, we recommend some familiarity with these tools.

If you want to help us improve our codebase...

**you can either use Gitpod, a free online dev environment that starts a ready-to-code dev environment for freeCodeCamp in your browser.**

[![Open in Gitpod](https://gitpod.io/button/open-in-gitpod.svg)](https://gitpod.io/#https://github.com/freeCodeCamp/freeCodeCamp)

Or you can...

**[set up freeCodeCamp locally](how-to-setup-freecodecamp-locally.md) on your machine.**
